#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;

namespace SyncfusionMvcApplication1.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            List<ChartData> data = new List<ChartData>();

            data.Add(new ChartData(2005, 3 ));
            data.Add(new ChartData(2006, 2 ));
            data.Add(new ChartData(2007,0.9));
            data.Add(new ChartData(2008,3 ));
            data.Add(new ChartData(2009,3 ));
            data.Add(new ChartData(2010,4 ));
            data.Add(new ChartData(2011,5 ));
            data.Add(new ChartData(2012, 3));
            data.Add(new ChartData(2013, 2));
            data.Add(new ChartData(2014, 1));
            ViewBag.AllAvgChart = data;
            return View();
        }

        
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }

    public class ChartData
    {

    public ChartData(double xVal, double avgVal) {
        this.GroupText = xVal;
        this.AverageAnswer = avgVal;
    }

    public double GroupText
        {
        get;
        set;
    }
    public double AverageAnswer
        {
        get;
        set;
    }

}
}